TEMPLATE = app

TARGET = beamspring_usb_util
DESTDIR = src

OBJECTS_DIR = .build
MOC_DIR = .build
RCC_DIR = .build

QT += \
        core \
        gui \
        widgets

INCLUDEPATH += \
        ../ \
        src

QMAKE_CXXFLAGS += -std=c++0x

unix { 
    LIBS += -lhidapi-libusb
    INCLUDEPATH += \
        /usr/include \
        /usr/include/hidapi
}
win32 { 
    LIBS += -L/usr/lib -lhidapi-0
    INCLUDEPATH += /usr/include \
                   /usr/include/hidapi
}

CONFIG += release

HEADERS += \
        src/DiagInterface.h \
        src/Frontend.h \
        src/ImportExport.h \
        src/Key.h \
        src/LayerConditionWatcher.h \
        src/Scancodes.h

SOURCES += \
        src/DiagInterface.cpp \
        src/Frontend.cpp \
        src/ImportExport.cpp \
        src/Key.cpp \
        src/LayerConditionWatcher.cpp \
        src/Scancodes.cpp \
        src/beamspring_usb_util.cpp
